@echo off

REM ---------------------------------------------------------------------------------------------------
REM Nastaveni
REM ---------------------------------------------------------------------------------------------------

set TOOLPATH=C:\PROGRA~1\OrionXP
set magdir="\\AFS\zcu.cz\i386_nt35\software.7\magion\run"
set oradir="\\AFS\zcu.cz\i386_nt35\software.xp\orant"
set moduledir="\\AFS\zcu.cz\i386_nt35\software.7"


REM ---------------------------------------------------------------------------------------------------
REM kontrola 
REM ---------------------------------------------------------------------------------------------------

echo Probiha kontrola konektivity ...
echo  PING
for /F %%i in ('call %TOOLPATH%\sys_ping.cmd') do set VYSLEDEK=%%i
if "%VYSLEDEK%" NEQ "pingOK" goto kabel_nezapojen


REM ---------------------------------------------------------------------------------------------------
REM Test IP adresy
REM ---------------------------------------------------------------------------------------------------

echo  IP

for /f "tokens=2 delims=:" %%i in ('"ipconfig | findstr /r .*IP.*:.147\.228\."') do set ipadd=%%i
if not defined ipadd goto chybna_ip


REM (IPv6 dela problemy) echo %ipadd% | findstr 147.228 > nul || goto chybna_ip


REM ---------------------------------------------------------------------------------------------------
REM Test na VPN
REM ---------------------------------------------------------------------------------------------------

echo %ipadd% | findstr "147.228.232 147.228.233" > nul && if not exist %magdir% (
    echo System je pripojen pres VPN, restartuji AFS klienta!
    net stop transarcafsdaemon
    net start transarcafsdaemon
    %toolpath%\bin\sleep.exe 20
)


REM ---------------------------------------------------------------------------------------------------
REM Test funkcnosti AFS
REM ---------------------------------------------------------------------------------------------------

echo  AFS
if not exist %magdir% (
    %toolpath%\bin\gina_dialog.exe "Neni dostune AFS. Program nebude mozne aktualizovat. Chcete pokracovat?" "Chyba AFS"||goto skip_update
    goto end
    )

REM ---------------------------------------------------------------------------------------------------
REM Instalace / aktualizace oraclu 10
REM ---------------------------------------------------------------------------------------------------
if not exist c:\oracle (
     echo.
     echo Na Vasem pocitaci neni aktualizovan klient Oracle 10,
     echo ktery je dulezity pro spravnou funkcnost Magionu.
     echo Kontaktujte prosim sveho spravce!
     echo Pro aktualizaci staci s administratorskymi pravy "spustit jako spravce" 
     echo spustit skript:
     echo "\\AFS\zcu.cz\i386_nt35\software.7\oracle\modulefiles\oracle_ntb-sys.cmd"
     pause
          
     REM call \\AFS\zcu.cz\i386_nt35\software.7\oracle\modulefiles\oracle_ntb-sys.cmd > nul
     REM Import reg souboru
     REM regedit /s \\AFS\zcu.cz\i386_nt35\software.xp\modules\modulefiles\oracle\oracle-1-sys.reg    
) else (
    xcopy /d /y /c /q %oradir%\tnsnames.ora c:\oracle\10.2.0\network\ADMIN\
    xcopy /d /y /c /q %oradir%\sqlnet.ora c:\oracle\10.2.0\network\ADMIN\
)

  
REM ---------------------------------------------------------------------------------------------------
REM aktualizace magionu
REM ---------------------------------------------------------------------------------------------------

echo Probiha aktualizace klienta Magion ...
xcopy /d /y /c /q %oradir%\tnsnames.ora c:\orant\NET80\ADMIN\
xcopy /d /y /c /q %oradir%\sqlnet.ora c:\orant\NET80\ADMIN\
echo s| xcopy /d /y /c /q  \\AFS\zcu.cz\common\etc\krb5.conf c:\windows\krb5.ini
xcopy /d /e /c /r /q /y %magdir%\*.* c:\progra~1\magion\

:skip_update

REM ---------------------------------------------------------------------------------------------------
REM Spusteni magionu
REM ---------------------------------------------------------------------------------------------------

call "C:\Program Files\magion\MagionStart_NTB.cmd"


REM ---------------------------------------------------------------------------------------------------
REM skryti okna
REM ---------------------------------------------------------------------------------------------------

%toolpath%\bin\cmdow @ /HID


REM ---------------------------------------------------------------------------------------------------
REM test ID
REM ---------------------------------------------------------------------------------------------------

set IDSTANICE=4
%toolpath%\bin\reg_read HKLM "Software\OrionXP" "StationID" && for /F %%i IN ('reg_read HKLM "Software\OrionXP" "StationID"') DO @set IDSTANICE=%%i


REM ---------------------------------------------------------------------------------------------------
REM zapis o spusteni magionu (pro statisticke ucely vyuziti sluzby)
REM ---------------------------------------------------------------------------------------------------

call "%TOOLPATH%\usr_db_write.cmd" %IDSTANICE% %username% NTB-login "" magion "" "" "" "" "" %ipadd%


REM ---------------------------------------------------------------------------------------------------
REM aktualizace vlastniho skriptu
REM ---------------------------------------------------------------------------------------------------

xcopy /d /e /c /r /q /y %moduledir%\magion_ntb\modulefiles\magion.cmd c:\progra~1\magion\


goto end

:kabel_nezapojen
%toolpath%\bin\gina_mboxt.exe "Neni k dispozici sitova konektivita! Zapojte kabel nebo se pripojte k wifi a spusteni opakujte." "Chyba site" 1
goto end

:neni_afs
%toolpath%\bin\gina_mboxt.exe "Neni k dispozici AFS!" "Chyba AFS" 1
goto end

:chybna_ip
%toolpath%\bin\gina_mboxt.exe "Nemate IP adresu z univerzitniho rozsahu! Pripojte se k siti Eduroam, pripojte kabel nebo zapnete VPN a spusteni opakujte." "Chyba IP" 1
goto end


:end
